version: '3'

services:
  db:
    image: gcharbon/kairosdb:latest
    environment:
      - TZ=CET
      - VIRTUAL_PORT=${SERVICE_PORT}
      - VIRTUAL_HOST=${SUBDOMAIN}.${DOMAIN}
      - LETSENCRYPT_HOST=${LETSENCRYPT_HOST}
    healthcheck:
      test: "curl -f http://localhost:8080/api/v1/health/check || exit 1"
      interval: 30s
      timeout: 10s
      retries: 5
    expose:
      - 8080
    ports:
      - 8080:8080
    volumes:
      - kairosdb_opt_volume:/opt/kairosdb
      - kairosdb_data_volume:/data
    restart: always
    networks:
      - frontend

volumes:
    kairosdb_opt_volume:
        driver: local
    kairosdb_data_volume:
        driver: local

networks:
    frontend:
        external:
            name: frontend
